commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Niall Pemberton (JIRA)" <j...@apache.org>
Subject [jira] Commented: (COMMONSSITE-56) maven-idea-plugin version not listed in parent pom
Date Sat, 24 Apr 2010 23:13:49 GMT

    [ https://issues.apache.org/jira/browse/COMMONSSITE-56?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12860612#action_12860612
] 

Niall Pemberton commented on COMMONSSITE-56:
--------------------------------------------

Just testing with Maven 3 and it produces 8 [WARNING] lines highlighting this and saying "...future
versions might no longer support building such malformed projects"

So my vote is to remove it from commons-parent

> maven-idea-plugin version not listed in parent pom
> --------------------------------------------------
>
>                 Key: COMMONSSITE-56
>                 URL: https://issues.apache.org/jira/browse/COMMONSSITE-56
>             Project: Commons All
>          Issue Type: Bug
>          Components: Commons Parent Pom
>    Affects Versions: 14
>            Reporter: Sebb
>
> M2Eclipse complains:
> [WARN] Failed to retrieve plugin descriptor for Plugin [org.apache.maven.plugins:maven-idea-plugin]:
null
> [WARN] Some problems were encountered while building the effective model for commons-io:commons-io:jar:2.0-SNAPSHOT
> [WARN] 'build.plugins.plugin.version' is missing for org.apache.maven.plugins:maven-idea-plugin
@ commons-io:commons-io:2.0-SNAPSHOT ...
> This appears to be because the plugin version is not defined in the parent POM.
> [In fact there is no groupId for it either]
> Does the IDEA plugin even belong in the parent POM?
> If so, what version should be used?

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message